kshowmail: FilterElem Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FilterElem Class Reference

List of all members.

## Public Types
enum | secondCondition { noSecondCondition, condAnd, condOr }
## Public Member Functions
| FilterElem ()
| FilterElem (const FilterRecord &)
| FilterElem (const FilterElem &)
void | setSecondCondition (secondCondition scnd, const FilterRecord &)
| ~FilterElem ()
TQString | toString () const
bool | matches (ShowRecordElem *)
unsigned int | getCounter ()
void | setCounter (unsigned int number)
void | incCounter ()
## Public Attributes
FilterRecord | _filter1
FilterRecord | _filter2
secondCondition | _secondCondition
## Private Attributes
unsigned int | _counter

## Detailed Description

Definition at line 48 of file filterelem.h.

## Member Function Documentation

unsigned int FilterElem::getCounter | ( |  | ) |

Returns the number of mail deletions which was caused by this filter.

Returns:
  number of deleted mails

Definition at line 289 of file filterelem.cpp.

References _counter.

Referenced by FilterList::compareItems(), and FilterEntryDialog::FilterEntryDialog().

void FilterElem::setCounter | ( | unsigned int | number | ) |

Sets the deleted mail counter.

Parameters:

  | number | number of mail deletions caused by this filter

Definition at line 299 of file filterelem.cpp.

References _counter.

Referenced by FilterList::readOptions(), and FilterEntryDialog::slotCounterChanged().

void FilterElem::incCounter | ( |  | ) |

Increments the deleted mail counter.

Definition at line 294 of file filterelem.cpp.

References _counter.

## Member Data Documentation

unsigned int FilterElem::_counter`[private]`

Number of mails its deletion was caused by this filter.

Definition at line 90 of file filterelem.h.

Referenced by getCounter(), incCounter(), setCounter(), and toString().

The documentation for this class was generated from the following files:

- kshowmail/filterelem.h
- kshowmail/filterelem.cpp